cascading.flow.hadoop.planner.rule.transformer

## Class TapBalanceGroupNonBlockingHashJoinTransformer

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<ElementGraph,ElementGraph>
  - - cascading.flow.planner.rule.RuleTransformer
    - - cascading.flow.planner.rule.transformer.RuleInsertionTransformer
      - - cascading.flow.hadoop.planner.rule.transformer.TapBalanceGroupNonBlockingHashJoinTransformer

All Implemented Interfaces:
  Rule

    public class TapBalanceGroupNonBlockingHashJoinTransformer
    extends RuleInsertionTransformer

### Field Summary

### Fields inherited from class cascading.flow.planner.rule.RuleTransformer

`contractedTransformer, graphTransformer, ruleExpression, subGraphTransformer`

### Constructor Summary

Constructors
Constructor and Description
`TapBalanceGroupNonBlockingHashJoinTransformer()`

### Method Summary

### Methods inherited from class cascading.flow.planner.rule.RuleTransformer

`getRuleName, getRulePhase, performTransform, toString, transform`

### Methods inherited from class cascading.flow.planner.iso.transformer.GraphTransformer

`transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TapBalanceGroupNonBlockingHashJoinTransformer

    public TapBalanceGroupNonBlockingHashJoinTransformer()